# $Revision: 1.38 $, $Date: 2008/11/10 15:11:03 $
%define		_truename xbae
Summary:	The XbaeMatrix is a Motif-based widget which displays a grid of cells
Summary(pl.UTF-8):	XbaeMatrix jest motifowym widgetem wyświetlającym tabelki
Name:		Xbae
Version:	4.60.4
Release:	3
License:	BSD-like (Bell Communications Research)
Group:		X11/Libraries
Source0:	http://dl.sourceforge.net/xbae/%{_truename}-%{version}.tar.gz
# Source0-md5:	9690059474bb05191dccd041ff5052bd
Patch0:		%{name}-ac.patch
URL:		http://xbae.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	motif-devel >= 2.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The XbaeMatrix is a Motif-based widget which displays a grid of cells
in the same manner as a spreadsheet. The cell array is scrollable,
editable, and otherwise reasonably configurable in appearance. Each
cell usually displays text, but pixmaps can also be displayed (not
editable). The XbaeMatrix looks to some extent like a grid of
XmTextField widgets, but is actually implemented with a single
XmTextField. This means a big performance improvement due to less
overhead.

%description -l pl.UTF-8
XbaeMatrix jest motifowym widgetem wyświetlającym tabelki złożone z
pól w sposób podobny do arkuszy kalkulacyjnych. Tabelę można przewijać
i poddawać edycji. Każde pole zazwyczaj wyświetla tekst, ale może
także bitmapę (bez możliwości edycji).

%package devel
Summary:	XbaeMatrix header files and development documentation
Summary(pl.UTF-8):	Pliki nagłówkowe i dokumentacja XbaeMatrix
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	motif-devel >= 2.0

%description devel
XbaeMatrix header files and development documentation.

%description devel -l pl.UTF-8
Pliki nagłówkowe i dokumentacja programisty do XbaeMatrix.

%package static
Summary:	XbaeMatrix static library
Summary(pl.UTF-8):	Biblioteki statyczne XbaeMatrix
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
XbaeMatrix static library.

%description static -l pl.UTF-8
Biblioteki statyczne XbaeMatrix.

%prep
%setup -q -n %{_truename}-%{version}
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--enable-shared \
	--enable-static \
	--with-editres

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_aclocaldir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	mandir=%{_mandir}

# workaround - configure decides not to install *.m4 if aclocaldir is not writable
install ac_find_*.m4 $RPM_BUILD_ROOT%{_aclocaldir}

rm -f doc/Makefile* doc/images/Makefile*

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libXbae.so.*.*
%{_datadir}/Xbae

%files devel
%defattr(644,root,root,755)
%doc doc/*
%attr(755,root,root) %{_libdir}/libXbae.so
%{_libdir}/libXbae.la
%{_includedir}/Xbae
%{_aclocaldir}/ac_find_xbae.m4
%{_mandir}/man3/*

%files static
%defattr(644,root,root,755)
%{_libdir}/libXbae.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: Xbae.spec,v $
Revision 1.38  2008/11/10 15:11:03  megabajt
- release 3

Revision 1.37  2007/11/28 08:18:36  arekm
- rel 2

Revision 1.36  2007-02-17 16:29:44  qboosh
- added ac patch
- restored libXbae.la

Revision 1.35  2007/02/17 15:35:33  qboosh
- reverted wrong changes

Revision 1.34  2007/02/17 14:18:09  rotom
- up to 4.60.4
- adaptized
- obsolotes patch removed

Revision 1.33  2007/02/12 21:23:45  glen
- tabs in preamble

Revision 1.32  2007/02/12 00:48:35  baggins
- converted to UTF-8

Revision 1.31  2006/07/26 16:03:33  glen
- unify sourceforge url

Revision 1.30  2004/10/31 13:31:27  paladine
- spaces->tabs

Revision 1.29  2004/08/05 23:07:13  qboosh
- updated to 4.50.97

Revision 1.28  2004/07/05 06:33:56  qboosh
- updated to 4.50.95

Revision 1.27  2004/04/18 23:26:10  qboosh
- updated to 4.5.91, removed obsolete am18 patch

Revision 1.26  2004/03/28 01:32:24  qboosh
- updated to 4.50.5 (motif 2.0 is needed now)

Revision 1.25  2004/02/09 21:54:11  qboosh
- -devel R: motif-devel

Revision 1.24  2004/02/09 21:30:16  qboosh
- builds with openmotif, just needs ac_find_motif.m4

Revision 1.23  2003/12/29 16:48:09  qboosh
- updated URLs, updated package to 4.50.2, updated link patch

Revision 1.22  2003/12/29 16:00:10  qboosh
- added am18 patch, moved to /usr (where lesstif lives now), release 3

Revision 1.21  2003/07/06 23:27:15  blues
- many small fixes, mostly inpired by kloczek

Revision 1.20  2003/06/27 21:13:56  qboosh
- new %%doc

Revision 1.19  2003/05/26 16:24:19  malekith
- massive attack: adding Source-md5

Revision 1.18  2003/05/25 05:45:23  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.17  2002/11/25 14:12:19  ankry
- massive attack: no need for 755 for *.la

Revision 1.16  2002/10/09 13:14:15  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.15  2002/06/23 20:32:20  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.14  2002/05/21 23:12:39  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.13  2002/03/24 23:28:13  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.12  2002/02/22 23:28:39  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.11  2002/01/18 02:12:16  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.10  2001/10/24 17:53:33  qboosh
- removed that line (forgot to do it earlier)

Revision 1.9  2001/10/24 08:23:33  pascalek
- one line hashed to make package build possible

Revision 1.8  2001/10/07 21:38:14  qboosh
- re-added fixed mv line, added more html doc to devel

Revision 1.7  2001/10/07 16:39:27  marcus
- remove uncomplete mv -f i %%install sectio

Revision 1.6  2001/10/03 16:45:09  filon
- changed req for main subpkg in static subpkg to devel
- release 2

Revision 1.5  2001/09/26 04:46:32  kloczek
- added "rm -f missing" on top %build.

Revision 1.4  2001/09/25 21:39:34  filon
- doesn't require man2html

Revision 1.3  2001/09/23 20:29:31  qboosh
- don't gzip html documentation, install it with correct images path

Revision 1.2  2001/09/23 19:23:51  qboosh
- -devel and -static are not LGPL
- BuildRequires: man2html not lynx

Revision 1.1  2001/09/23 16:29:41  filon
- based on rev. 1.46 of lesstif spec
- removed avoiding relinking
- changes in files, etc
- cosmetics, simplifications, etc
- version 9.0.9
